#$Header: /raid/cvsroot/rt/lib/RT/Attic/Attachments.pm,v 1.1.2.11 2000/11/22 07:31:43 jesse Exp $

=head1 NAME

  RT::Attachments - a collection of RT::Attachment objects

=head1 SYNOPSIS

  use RT::Attachments;

=head1 DESCRIPTION


=head1 METHODS

=cut

package RT::Attachments;

use RT::EasySearch;

@ISA= qw(RT::EasySearch);



# {{{ sub _Init  
sub _Init   {
  my $self = shift;
 
  $self->{'table'} = "Attachments";
  $self->{'primary_key'} = "id";
  return ( $self->SUPER::_Init(@_));
}
# }}}


# {{{ sub Limit 
sub Limit  {
  my $self = shift;
my %args = ( ENTRYAGGREGATOR => 'AND',
             @_);

  $self->SUPER::Limit(%args);
}
# }}}

# {{{ sub ChildrenOf 
sub ChildrenOf  {
  my $self = shift;
  my $attachment = shift;
  $self->Limit ( FIELD => 'Parent',
		 VALUE => "$attachment");
}
# }}}

# {{{ sub NewItem 
sub NewItem  {
  my $self = shift;
  my $Handle = shift;
  my $item;
  use RT::Attachment;
  $item = new RT::Attachment($self->CurrentUser);
  return($item);
}
# }}}
  1;




